# SoPathSwitch Class Reference
[Nodes]

`#include <Inventor/nodes/SoPathSwitch.h>`

Inheritance diagram for SoPathSwitch:

List of all members.

## Detailed Description

The SoPathSwitch class traverses only when current path matches a configurable path.

## Public Member Functions

| SoPathSwitch (void)
| SoPathSwitch (int numchildren)
virtual void | doAction (SoAction *action)
virtual void | GLRender (SoGLRenderAction *action)
virtual void | pick (SoPickAction *action)
virtual void | getBoundingBox (SoGetBoundingBoxAction *action)
virtual void | handleEvent (SoHandleEventAction *action)
virtual void | getMatrix (SoGetMatrixAction *action)
virtual void | search (SoSearchAction *action)
virtual void | getPrimitiveCount (SoGetPrimitiveCountAction *action)
virtual void | audioRender (SoAudioRenderAction *action)

## Static Public Member Functions

void | initClass (void)

## Public Attributes

SoSFPath | path

## Protected Member Functions

virtual | ~SoPathSwitch ()

## Constructor & Destructor Documentation

SoPathSwitch::SoPathSwitch | ( | void |  | ) |

| Default constructor.

SoPathSwitch::SoPathSwitch | ( | int | numchildren | ) |

| Constructor. The argument should be the approximate number of children which is expected to be inserted below this node. The number need not be exact, as it is only used as a hint for better memory resource allocation.

SoPathSwitch::~SoPathSwitch | ( |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void SoPathSwitch::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoGroup.

void SoPathSwitch::doAction | ( | SoAction * | action | ) | `[virtual]`

| This function performs the typical operation of a node for any action. Reimplemented from SoGroup.

void SoPathSwitch::GLRender | ( | SoGLRenderAction * | action | ) | `[virtual]`

| Action method for the SoGLRenderAction. This is called during rendering traversals. Nodes influencing the rendering state in any way or who wants to throw geometry primitives at OpenGL overrides this method. Reimplemented from SoGroup.

void SoPathSwitch::pick | ( | SoPickAction * | action | ) | `[virtual]`

| Action method for SoPickAction. Does common processing for SoPickAction action instances. Reimplemented from SoGroup.

void SoPathSwitch::getBoundingBox | ( | SoGetBoundingBoxAction * | action | ) | `[virtual]`

Action method for the SoGetBoundingBoxAction.

Calculates bounding box and center coordinates for node and modifies the values of the action to encompass the bounding box for this node and to shift the center point for the scene more towards the one for this node.

Nodes influencing how geometry nodes calculates their bounding box also overrides this method to change the relevant state variables.

Reimplemented from SoGroup.

void SoPathSwitch::handleEvent | ( | SoHandleEventAction * | action | ) | `[virtual]`

| Action method for SoHandleEventAction. Inspects the event data from action, and processes it if it is something which this node should react to. Nodes influencing relevant state variables for how event handling is done also overrides this method. Reimplemented from SoGroup.

void SoPathSwitch::getMatrix | ( | SoGetMatrixAction * | action | ) | `[virtual]`

| Action method for SoGetMatrixAction. Updates action by accumulating with the transformation matrix of this node (if any). Reimplemented from SoGroup.

void SoPathSwitch::search | ( | SoSearchAction * | action | ) | `[virtual]`

Action method for SoSearchAction.

Compares the search criteria from the action to see if this node is a match. Searching is done by matching up all criteria set up in the SoSearchAction -- if any of the requested criteria is a miss, the search is not deemed successful for the node.

See also:
  SoSearchAction

Reimplemented from SoGroup.

void SoPathSwitch::getPrimitiveCount | ( | SoGetPrimitiveCountAction * | action | ) | `[virtual]`

| Action method for the SoGetPrimitiveCountAction. Calculates the number of triangle, line segment and point primitives for the node and adds these to the counters of the action. Nodes influencing how geometry nodes calculates their primitive count also overrides this method to change the relevant state variables. Reimplemented from SoGroup.

void SoPathSwitch::audioRender | ( | SoAudioRenderAction * | action | ) | `[virtual]`

| Action method for SoAudioRenderAction. Does common processing for SoAudioRenderAction action instances. Reimplemented from SoGroup.

## Member Data Documentation

SoSFPath SoPathSwitch::path

| The path that must match the current action path. A `NULL` path will never match. An empty path will always match. The path should go up to (not including) the SoPathSwitch node, but need not go all the way back to the root node.

The documentation for this class was generated from the following files:

- SoPathSwitch.h
- SoPathSwitch.cpp